Subject: Help with hanging printers ...

From: [email-masked] (Mark Holm)
Date: Tue, 18 Jan 1994 10:58:24 -0800 (PST)

I am currently running netatalk 1.3b2 (cannot find 1.3b3 even on terminator,
must be looking in the wrong places ...) running from a Sparc 10 with
4.1.3 Sun OS talking to two HP LaserJet IIISi printers. Currently I am only
using the papd part of the package to service 8 Mac IIsi's running system 7.1.

Up until Christmas break we were talking to the printers direct via appletalk
and a fastpath gateway and using Sitka Tops to talk to the printers from the
Suns. We shifted to using Jet Direct cards and use their TCP/IP protocol to
talk to the printers now (more Suns than Macs). AFter about 6-8 jobs go
through the papd to the printers from the Mac's the printer starts throwing
away jobs typically with the error "Limitcheck" which roughly translates
to, I ran out of memory. Hard to beleive since they both have as much
memory as you can put in them. If you reboot the printer, you can print
again. This did not happen when the macs talked directly to the printers,
but I have seen this behaviour as far back as version 1.2.

The rc file that I invoke to start the system is shown below:

#
# AppleTalk daemons. Make sure not to start atalkd in the background:
# its data structures must have time to stablize before running the
# other processes.
#

ATALKDIR="/etc/atalk"

#
# SUNOS: UNCOMMENT THESE LINES TO LOAD THE KERNEL MODULE.
#
echo -n 'loading netatalk: '
if [ -f ${ATALKDIR}/etc/netatalk.o ]; then
	/usr/etc/modload -sym ${ATALKDIR}/etc/netatalk.o;
fi

echo -n 'starting appletalk daemons:'
if [ -f ${ATALKDIR}/etc/atalkd ]; then
	${ATALKDIR}/etc/atalkd -f ${ATALKDIR}/etc/atalkd.conf;		echo -n ' atalkd'
fi
if [ -f ${ATALKDIR}/bin/nbprgstr ]; then
	${ATALKDIR}/bin/nbprgstr -p 4 `hostname|sed 's/\..*$//'`:Workstation
					echo -n ' nbprgstr'
fi
if [ -f ${ATALKDIR}/etc/papd ]; then
	${ATALKDIR}/etc/papd -a -f ${ATALKDIR}/etc/papd.ender.lw1.conf
	${ATALKDIR}/etc/papd -a -f ${ATALKDIR}/etc/papd.ender.lw2.conf
	echo -n ' papd'
fi
					echo '.'

The papd configuration file is shown below:

# This file consists of a keyword and value colon separated pair,
# one per line. Everything after the colon is significant, so
# don't insert white space unless you want the values to contain
# them. Papd also doesn't like blank lines.
#
# File containing list of fonts resident in printer we spool to
fontfile:/etc/atalk/etc/LWPlusFonts
#
# Location of printcap
printcap:/etc/printcap
#
# Directory to store Macintosh procedure sets in.
procsetdir:/etc/atalk/procsets
#
# Name to appear in the Macintosh chooser
choosername:lw1 - Engineering LJIIISi
#
# Name of printer to serve
printer:lw1

Can anybody give me any hints as to what I am doing wrong here, since I
don't see anybody else complaining about this?

===========================================================================
Mark Holm                                           [email-masked]  -or-
Analogy                                           
P.O. Box 1669                                           Phone (503)626-9700
Beaverton, Oregon 97075-1669				Fax   (503)643-3361